Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf.wellknown
Class SectionIDMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.apache.poi.hpsf.wellknown.SectionIDMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class SectionIDMap
extends java.util.HashMap

Maps section format IDs to `PropertyIDMap`s. It is initialized with two well-known section format IDs: those of the `\005SummaryInformation` stream and the `\005DocumentSummaryInformation` stream.

If you have a section format ID you can use it as a key to query this map. If you get a `PropertyIDMap` returned your section is well-known and you can query the `PropertyIDMap` for PID strings. If you get back `null` you are on your own.

This `Map` expects the byte arrays of section format IDs as keys. A key maps to a `PropertyIDMap` describing the property IDs in sections with the specified section format ID.

Since:
  2002-02-09
Version:
  $Id: SectionIDMap.java,v 1.5.6.1 2004/02/22 11:54:46 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  Serialized Form

Field Summary
`static byte[]` | `DOCUMENT_SUMMARY_INFORMATION_ID` The DocumentSummaryInformation's first section's format ID.
`static byte[]` | `SUMMARY_INFORMATION_ID` The SummaryInformation's section's format ID.
`static java.lang.String` | `UNDEFINED`

Constructor Summary
`SectionIDMap()`

Method Summary
`PropertyIDMap` | `get(byte[] sectionFormatID)` Returns the `PropertyIDMap` for a given section format ID.
`java.lang.Object` | `get(java.lang.Object sectionFormatID)` Deprecated. Use `get(byte[])` instead!
`static SectionIDMap` | `getInstance()` Returns the singleton instance of the default `SectionIDMap`.
`static java.lang.String` | `getPIDString(byte[] sectionFormatID, int pid)` Returns the property ID string that is associated with a given property ID in a section format ID's namespace.
`java.lang.Object` | `put(byte[] sectionFormatID, PropertyIDMap propertyIDMap)` Associates a section format ID with a `PropertyIDMap`.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Deprecated. Use `put(byte[], PropertyIDMap)` instead!

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### SUMMARY_INFORMATION_ID

    public static final byte[] SUMMARY_INFORMATION_ID

  The SummaryInformation's section's format ID.

### DOCUMENT_SUMMARY_INFORMATION_ID

    public static final byte[] DOCUMENT_SUMMARY_INFORMATION_ID

  The DocumentSummaryInformation's first section's format ID. The second section has a different format ID which is not well-known.

### UNDEFINED

    public static final java.lang.String UNDEFINED

See Also:
  Constant Field Values

Constructor Detail

### SectionIDMap

    public SectionIDMap()

Method Detail

### getInstance

    public static SectionIDMap getInstance()

  Returns the singleton instance of the default `SectionIDMap`.

  Returns:
    The instance value

### getPIDString

    public static java.lang.String getPIDString(byte[] sectionFormatID,
                                                int pid)

  Returns the property ID string that is associated with a given property ID in a section format ID's namespace.

  Parameters:
    `sectionFormatID` - Each section format ID has its own name space of property ID strings and thus must be specified.
    `pid` - The property ID
  Returns:
    The well-known property ID string associated with the property ID pid in the name space spanned by sectionFormatID . If the pid /sectionFormatID combination is not well-known, the string "[undefined]" is returned.

### get

    public PropertyIDMap get(byte[] sectionFormatID)

  Returns the `PropertyIDMap` for a given section format ID.

### get

    public java.lang.Object get(java.lang.Object sectionFormatID)

  Deprecated. Use `get(byte[])` instead!

  Returns the `PropertyIDMap` for a given section format ID.

  Parameters:
    `sectionFormatID` - A section format ID as a `byte[]` .

### put

    public java.lang.Object put(byte[] sectionFormatID,
                                PropertyIDMap propertyIDMap)

  Associates a section format ID with a `PropertyIDMap`.

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Deprecated. Use `put(byte[], PropertyIDMap)` instead!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.